Subject: DLSw: proposed consensus re IETF

From: [email-masked]
Date: Mon, 23 May 94 13:01:34 PDT

"Conflict is inevitable.  Fighting is a choice."

Proposed Consensus with Regard to IETF

Fellow DLSw RIGgers:

I appreciate all the input that has been contributed to 
the network on this topic.  It has been thorough and 
clearly stated.  Now that we know what the main 
issues and concerns are, it is time to move to 
resolving this issue.

We are at a difficult place.  There is no solution that 
will make everyone equally happy.  We seem to be divided 
among two preferences, which I discuss futher below.

But before we discuss those, we must realize that we 
have a more important choice to make first:  

   -	We can continue to focus on our differences and let 
	the divide widen until we split into two camps, 
	which we all know will damage if not destroy DLSw 
	as a viable common industry agreement.
or
   -	We can try to find the common ground we do share 
	and work together on this common ground now.

I believe that the first choice would be bad for all of 
us and for our customers.  Now is the time for 
resolution.

I have spent considerable time considering all the 
points that were made on this issue, and discussed 
several of them further with the posters to clarify 
points.  Please, as you read this, take time and care to 
consider my proposal.

The two primary preferences seem to be:
A)	Complete and approve the AIW document as soon as 
	possible and post it as an informational RFC.
     or
B)	Move in parallel for an AIW document and IETF 
	document.

The main points mentioned in favor of A (or against B) 
are:
1)  Speed of completed, agreed-upon document 
	(number months disputed - 3-10+ months)
2)  Guarantee of single document
	(likelihood of differences disputed)
3)  No delay by input from new IETF people, even helpful 
	ones   (likelihood disputed)
4)  Additional effort would be needed for IETF - 
meetings, coordination
	(level of effort disputed)
5)  Intellectual property concerns (disputed)
6)  No process changes to accomodate IETF 
	(impact disputed)

The main points mentioned in favor of B (or against A) 
are:
1)  Reputation of IETF Standard over informational RFC 
	(disputed)
2)  Reputation of IETF Standard over AIW Closed Pages 
	(disputed)
3)  Outside perception problem if we backoff from IETF 
	(disputed)

I propose the following 2 points:

1)  Since we can likely reach AIW closed pages on DLSw 
Release 1 during the summer on the network, we would not 
pursue an IETF standard for Release 1, but would post it 
as an informational RFC.

In this way, DLSw Release 1 from the AIW is complete, 
approved by the participating vendors, and ready for 
shipping ASAP.

2)  Separately, we can consider the issue of whether to 
go for an IETF standard for DLSw Release 2.

I know we would all prefer to put this issue to bed once 
and for all.  But, as anyone who has tried to put a baby 
to bed before it was ready knows, an issue cannot be put 
to bed before its time.
-  On the one hand, there is strong enough sentiment 
among enough people in this group against going for an 
IETF Standard that, even if we tried, I do not believe 
we could reach consensus to go that direction in any 
reasonable timeframe for Release 1.
-  On the other hand, there is strong enough sentiment 
from enough people in this group in favor of the IETF 
direction that, even if we tried, the group could not 
reach consensus rule it out for the future.

Further, keeping the possibility of IETF for Release 2 
keeps us from looking like we are backpedaling from 
the (incorrect) press assumption that we decided in
February to go for IETF unconditionally.

I believe this proposal deals, at least on an interim
basis, with many of the concerns raised, especially 
about getting product to our customers as quickly 
as possible.

Please post a message only if you have STRONG 
OPPOSITION to the above proposal.  As chair,
I personally will address such strong opposition 
if it arises    Please DO NOT start an e-war by 
replying to opposition.
If you have such opposition, please post it as soon 
as possible, but certainly by the 
end of this week, Friday, May 27.

If there is not strong opposition or if we are able to 
deal with any strong opposition that arises, then DLSw 
will adopt the above proposal by Monday, May 30.

Regards,

	Louise Herndon Wells
	DLSw Chair